package cn.com.infosec.jce.provider;

class ReasonsMask {
   static final ReasonsMask allReasons = new ReasonsMask(33023);
   private int _reasons;

   ReasonsMask(int reasons) {
      this._reasons = reasons;
   }

   ReasonsMask() {
      this(0);
   }

   void addReasons(ReasonsMask mask) {
      this._reasons |= mask.getReasons();
   }

   boolean isAllReasons() {
      return this._reasons == allReasons._reasons;
   }

   ReasonsMask intersect(ReasonsMask mask) {
      ReasonsMask var10000 = new ReasonsMask();
      var10000.addReasons(new ReasonsMask(this._reasons & mask.getReasons()));
      return var10000;
   }

   boolean hasNewReasons(ReasonsMask mask) {
      return (this._reasons | mask.getReasons() ^ this._reasons) != 0;
   }

   int getReasons() {
      return this._reasons;
   }
}
